# Retrieve an omnichannel subscription Retrieves the information about a specific omnichannel subscription. Endpoint: GET /v1/omni-channel-subscriptions/{subscriptionKey} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `getAccountDetails` (boolean) Retrieves the details of an account. ## Path parameters: - `subscriptionKey` (string, required) The ID or number of the omnichannel subscription to be retrieved. The ID may be a Zuora subscription ID or an external system subscription ID. ## Response 200 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. - `id` (string) The system generated ID in Billing. - `subscriptionNumber` (string) The system generated subscription number. - `accountId` (string) The ID of the account associated with this subscription. - `externalSubscriptionId` (string) The original transaction ID of the notification. - `externalTransactionReason` (string) The latest transaction reason. - `externalSourceSystem` (string) The source app store from which the channel subscription originated. For example, Apple, Google, Roku, Amazon. - `externalState` (string) The original status from client, such as active, canceled, expired, pastDue. - `state` (string) The common external subscription state. - `externalProductId` (string) The product ID in the external system. - `externalReplaceByProductId` (string,null) The product ID is going to replace the existing product ID in the externalProductId field during the subscription renewal. - `externalInAppOwnershipType` (string) Such as purchased, family_shared. - `externalQuantity` (integer) The quantity of the product, must be greater than 0. - `currency` (string) The currency code of the transaction. If not specified, get value from the Account. - `autoRenew` (boolean) If true, the subscription automatically renews at the end of the term. - `originalPurchaseDate` (string) The value of externalPurchaseDate when this external subscription firstly created. UTC time, yyyy-mm-dd hh:mm:ss. - `externalPurchaseDate` (string) When the App Store charged the user’s account for a purchase, restored product, subscription, or subscription renewal after a lapse. UTC time, yyyy-mm-dd hh:mm:ss. - `externalActivationDate` (string) When the external subscription was activated on the external platform. UTC time, yyyy-mm-dd hh:mm:ss. - `externalExpirationDate` (string) This expiration date is a static value that applies for each transaction. UTC time, yyyy-mm-dd hh:mm:ss. - `externalApplicationId` (string) The external application ID. - `externalBundleId` (string) The external bundler ID. - `externalSubscriberId` (string) The external subscriber ID. - `externalPrice` (number) The price in external system. - `externalPurchaseType` (string) The external purchase type. - `externalLastRenewalDate` (string) This last renewal date is a static value that applies for each transaction. UTC time, yyyy-mm-dd hh:mm:ss. - `externalNextRenewalDate` (string) This next renewal date is a static value that applies for each transaction. UTC time, yyyy-mm-dd hh:mm:ss. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.